# Uses of Enum Class
org.eclipse.osgi.container.Module.State

Packages that use Module.State
Package
Description
org.eclipse.osgi.container

## Uses of Module.State in org.eclipse.osgi.container

Fields in org.eclipse.osgi.container with type parameters of type Module.State
Modifier and Type
Field
Description
`static final EnumSet<Module.State>`
Module.`ACTIVE_SET`
A set of `states` that indicate a module is active.
`static final EnumSet<Module.State>`
Module.`RESOLVED_SET`
A set of `states` that indicate a module is resolved.
Methods in org.eclipse.osgi.container that return Module.State
Modifier and Type
Method
Description
`final Module.State`
Module.`getState()`
Returns the current `state` of this module.
`static Module.State`
Module.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.State[]`
Module.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.